
<div class="container mt-5">
    <div class="form-group">
      <input
        type="text"
        class="form-control"
        placeholder="Search..."
        [(ngModel)]="filterTerm"
      />
<table class="table">
    <thead>
      <tr>
        <th scope="col">id</th>
        <th scope="col">photo</th>
        <th scope="col">nom</th>
        <th scope="col">prix</th>
        <th scope="col">quantite</th>
        <th scope="col">categorie</th>
      </tr>
    </thead>
    <tbody>
        <tr *ngFor="let p of Produits| filter: filterTerm">
            <td> {{p.id}}</td>
            <td><img src="http://localhost:8080/apiproduct/getImage/{{p.id}}" width="50" height="50"></td>
            <td><a routerLink="{{p.id}}"> {{p.nom}}</a></td>
            <td>{{p.prix}}</td>
            <td>{{p.quantite}}</td>
            <td>{{p.categorie.nom}}</td>
        
        </tr>
      
    </tbody>
  </table>
    </div></div>
    
  